package com.casic.missiles.service.system;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.casic.missiles.dto.ReturnDTO;
import com.casic.missiles.dto.system.TemplateAddRequest;
import com.casic.missiles.dto.system.TemplateDetailResponse;
import com.casic.missiles.dto.system.TemplateListRequest;
import com.casic.missiles.model.system.SystemTemplate;

import java.util.List;

/**
 * <p>
 * 系统管理-常用工具-原始记录模板/证书报告模板表 服务类
 * </p>
 *
 * @author wangpeng
 * @since 2022-12-01
 */
public interface ISystemTemplateService extends IService<SystemTemplate> {

    Page<SystemTemplate> listPage(Page<SystemTemplate> page, TemplateListRequest request);

    ReturnDTO addTemplate(TemplateAddRequest request);

    ReturnDTO updateTemplate(SystemTemplate systemTemplate);

    ReturnDTO deleteTemplate(Long id);

    ReturnDTO deleteBatchTemplate(List<Long> ids);

    List<SystemTemplate> list(TemplateListRequest request);

    ReturnDTO<TemplateDetailResponse> templateDetail(Long id);
}
